JJDoc (Apache Ant API)
Date: 2018-03-24

org.apache.tools.ant.taskdefs.optional.javacc

## Class JJDoc

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.javacc.JJDoc

- All Implemented Interfaces:
    java.lang.Cloneable

      public class JJDoc
      extends Task

  Runs the JJDoc compiler compiler.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JJDoc()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Do the task.
    `void` | `setJavacchome(java.io.File javaccHome)` The directory containing the JavaCC distribution.
    `void` | `setMaxmemory(java.lang.String max)` Corresponds -Xmx.
    `void` | `setOnetable(boolean oneTable)` Sets the ONE_TABLE documentation option.
    `void` | `setOutputfile(java.lang.String outputFile)` The outputfile to write the generated BNF documentation file to.
    `void` | `setTarget(java.io.File target)` The javacc grammar file to process.
    `void` | `setText(boolean plainText)` Sets the TEXT BNF documentation option.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JJDoc

          public JJDoc()

      Constructor

  - ### Method Detail

    - #### setText

          public void setText(boolean plainText)

      Sets the TEXT BNF documentation option.
      Parameters:
        `plainText` - a `boolean` value.

    - #### setOnetable

          public void setOnetable(boolean oneTable)

      Sets the ONE_TABLE documentation option.
      Parameters:
        `oneTable` - a `boolean` value.

    - #### setOutputfile

          public void setOutputfile(java.lang.String outputFile)

      The outputfile to write the generated BNF documentation file to. If not set, the file is written with the same name as the JavaCC grammar file with a suffix .html or .txt.
      Parameters:
        `outputFile` - the name of the output file.

    - #### setTarget

          public void setTarget(java.io.File target)

      The javacc grammar file to process.
      Parameters:
        `target` - the grammar file.

    - #### setJavacchome

          public void setJavacchome(java.io.File javaccHome)

      The directory containing the JavaCC distribution.
      Parameters:
        `javaccHome` - the home directory.

    - #### setMaxmemory

          public void setMaxmemory(java.lang.String max)

      Corresponds -Xmx.
      Parameters:
        `max` - max memory parameter.
      Since:
        Ant 1.8.3

    - #### execute

          public void execute()
                       throws BuildException

      Do the task.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if there is an error.